You can discuss this bot in [#pingposh:imninja.net](origin_server_ts)

This is a simple Matrix bot to participate in [#ping:maunium.net](https://matrix.to/#/#ping:maunium.net)

### Features

It automatically joins on invites. If someone sends a `!ping` or `!ping <text>`, it echoes back an `m.notice` with the following attributes:

```json
"pong": {
      "ms": <difference of origin_server_ts and now>,
      "from": "<origin homeserver>",
      "ping": "<!ping event>"
}
```

### Configuration

It is configured via command line parameters or environment variables. Have a look at the param block at the beginning of `bot.ps1` for all configuration options.

Example configuration with environment variables:
```bash
HOMESERVER: 'http://synapse:8008'
USERID: '@pingposh:imninja.net'
ACCESSTOKEN_FILE: '/run/secrets/pingposh_accesstoken'
UNENCRYPTED: 'TRUE'
```